FruxonDocs
ApiEvaluation runs

Get a specific evaluation run by ID.

Fetches a single run, including its summary statistics once it has finished. While a run is still PENDING or IN_PROGRESS the statistics are not yet populated, so poll this endpoint to track progress to a terminal state.

GET
/v1/tenants/{tenant}/agents/{agent}/evaluationRuns/{evaluationRun}
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

agent*string

The unique identifier of the agent

evaluationRun*string

The evaluation run ID

Formatuuid
tenant*string

The tenant identifier

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/agents/string/evaluationRuns/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "00000000-0000-0000-0000-000000000000",
  "agentId": "string",
  "datasetId": "00000000-0000-0000-0000-000000000000",
  "candidateRevision": 0,
  "candidateBaseRevision": 0,
  "candidateSnapshotSeqNo": 0,
  "deployedRevision": 0,
  "status": "PENDING",
  "score": 0,
  "deploymentRecommendation": "string",
  "summary": {
    "totalSamples": 0,
    "successfulEvaluations": 0,
    "failedEvaluations": 0,
    "averageLlmScore": 0,
    "scoreDistribution": {},
    "assessmentDistribution": {},
    "topConcerns": [
      "string"
    ],
    "keyImprovements": [
      "string"
    ],
    "runtime": {
      "totalCandidateMs": 0,
      "totalBaseMs": 0,
      "averageCandidateMs": 0,
      "averageBaseMs": 0,
      "stdevCandidateMs": 0
    },
    "cost": {
      "totalCandidate": 0,
      "totalBase": 0,
      "averageCandidate": 0,
      "averageBase": 0
    }
  },
  "errorMessage": "string",
  "createdAt": 0,
  "modifiedAt": 0,
  "startedAt": 0,
  "completedAt": 0,
  "createdBy": "string"
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}